import { MatDialog } from '@angular/material/dialog';
import { BabylonModalPopupI } from '../../components/core/babylon-modal-popup/babylon-modal-popup.interface';
import { ScreenSizerService } from '../screen-sizer/screen-sizer.service';
import * as i0 from "@angular/core";
export declare class BabylonModalService {
    private dialog;
    private screenSizer;
    private isBrowser;
    constructor(dialog: MatDialog, screenSizer: ScreenSizerService, platformId: object);
    getBannerOfferV2Control(): boolean;
    updateBannerOfferV2Control(): boolean;
    openReserveModal(banner: any): void;
    openPopupModal(modalData: BabylonModalPopupI): void;
    openOfferModal(): void;
    opeNewsletterV2Modal(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BabylonModalService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<BabylonModalService>;
}
